Package wx :: Module html :: Class HtmlLinkEvent

[frames | no frames]

## Type HtmlLinkEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        HtmlLinkEvent

Proxy of C++ HtmlLinkEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
HtmlLinkInfo | `GetLinkInfo(self)`

Property Summary
| `thisown`: The membership flag

Method Details

### __init__(self, id, linkinfo)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown--1218974892(...)
  Set Method:
    unknown--1218974836(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:23 2007 | http://epydoc.sf.net